/**
  ******************************************************************************
  * @file    IC_driver.c 
  * @author  Lukas Michalik
  * @version V1.0.0
  * @date    18.5.2012
  * @brief   Input_capture
  ******************************************************************************
  * @attention
  *
  *
  * <h2><center>&copy; COPYRIGHT </center></h2>
  ******************************************************************************  
  */ 


#include <stm32f4xx.h>
#include "stm32f4_discovery.h"
#include "IC_driver.h"



void IC_GPIO_init(void)
	 	 {
		  GPIO_InitTypeDef  GPIO_InitStructure;

                  /* GPIOC Periph clock enable */
	    	  RCC_AHB1PeriphClockCmd(RCC_AHB1Periph_GPIOC, ENABLE);

	          /* Configure TIM8 for Input Cature */
	    	  GPIO_InitStructure.GPIO_Pin = GPIO_Pin_9;
	    	  GPIO_InitStructure.GPIO_Mode = GPIO_Mode_AF;
                  GPIO_InitStructure.GPIO_Speed = GPIO_Speed_100MHz;
	    	  GPIO_InitStructure.GPIO_OType = GPIO_OType_PP;
	    	  GPIO_InitStructure.GPIO_PuPd = GPIO_PuPd_DOWN;
                 
	    	  GPIO_Init(GPIOC, &GPIO_InitStructure);

	    	  /* Connect TIM pin to AF */
	    	  GPIO_PinAFConfig(GPIOC, GPIO_PinSource9, GPIO_AF_TIM8);
	 	 }


void IC_TIMER_init(void)
                {
                uint16_t PrescalerValue = 0;
                /* TIM8 clock enable */
	    	RCC_APB2PeriphClockCmd(RCC_APB2Periph_TIM8, ENABLE);

	 	TIM_ICInitTypeDef  TIM_ICInitStructure;
	 	TIM_TimeBaseInitTypeDef  TIM_TimeBaseStructure;

	    	/* Compute the prescaler value */
	    	PrescalerValue = (uint16_t) ((SystemCoreClock /2) / 28000000) - 1;




	    	TIM_TimeBaseStructure.TIM_Period       = 65535; //65535;
	    	TIM_TimeBaseStructure.TIM_Prescaler     = PrescalerValue; //0;
	    	TIM_TimeBaseStructure.TIM_ClockDivision    = 0;
	    	TIM_TimeBaseStructure.TIM_CounterMode     = TIM_CounterMode_Down;
	    	TIM_TimeBaseStructure.TIM_RepetitionCounter = 0;

	    	TIM_TimeBaseInit(TIM8, &TIM_TimeBaseStructure);



	    	TIM_ICInitStructure.TIM_Channel = TIM_Channel_4;
	    	TIM_ICInitStructure.TIM_ICPolarity = TIM_ICPolarity_Rising;
	    	TIM_ICInitStructure.TIM_ICSelection = TIM_ICSelection_DirectTI;
	    	TIM_ICInitStructure.TIM_ICPrescaler = TIM_ICPSC_DIV1;
	    	TIM_ICInitStructure.TIM_ICFilter = 0x0;
	    	TIM_ICInit(TIM8, &TIM_ICInitStructure);


                /* Select the TIM8 Input Trigger: TI2FP2 */
                TIM_SelectInputTrigger(TIM8, TIM_TS_TI2FP2);

                /* Select the slave Mode: Reset Mode */
                TIM_SelectSlaveMode(TIM8, TIM_SlaveMode_Reset);
                TIM_SelectMasterSlaveMode(TIM8,TIM_MasterSlaveMode_Enable);


	    	 /* TIM8 enable counter */
	    	 TIM_Cmd(TIM8, ENABLE);

                 /* Enable the CC4 Interrupt Request */
	    	 //TIM_ITConfig(TIM8, TIM_IT_CC4, ENABLE);
	    	 TIM_ITConfig(TIM8, TIM_DIER_CC4IE, ENABLE);/// podívat
                 TIM_ITConfig(TIM8, TIM_IT_CC4, ENABLE);

	    	  
}

void IC_CCI_init(void)
{


	    	  //TIM_ClearFlag (TIM8, TIM_FLAG_CC4);
	    	  //TIM_ClearFlag(TIM8, TIM_FLAG_Break);
	    	  //TIM_ClearFlag(TIM8, TIM_FLAG_Update);



	    NVIC_InitTypeDef NVIC_InitStructure;

	    /* Enable the TIM8 global Interrupt */
	    NVIC_InitStructure.NVIC_IRQChannel = TIM8_CC_IRQn;
	    NVIC_InitStructure.NVIC_IRQChannelPreemptionPriority = 0;
	    NVIC_InitStructure.NVIC_IRQChannelSubPriority = 1;
	    NVIC_InitStructure.NVIC_IRQChannelCmd = ENABLE;
	    NVIC_Init(&NVIC_InitStructure);

}
