/**
  ******************************************************************************
  * @file    LCD_ctrl.h
  * @author  Jakub Lanik
  * @version V1.0.0
  * @date    18.5.2012
  * @brief   Input_capture
  ******************************************************************************
  * @attention
  *
  *
  * <h2><center>&copy; COPYRIGHT </center></h2>
  ******************************************************************************  
  */ 


#ifndef LCD_opt
#define LCD_opt



#ifndef LCD_clear
	// LCD basic commands
#define LCD_clear()		(LCD_wr_cmd(1))
#define LCD_blink_ON()	(LCD_wr_cmd(0b00001111))
#define LCD_blink_OFF()	(LCD_wr_cmd(0b00001110))
#endif

// prototypes
void LCD_init(void);
void LCD_puts (char *s);
void LCD_xy(unsigned char x,unsigned char y);

//conversions
//#ifdef LCD_CONVERSION_MODULE
//#define LCD_CONVERSION_MODULE
void LCD_cgram_load(void);
char * uchar2string(char data_in, unsigned char);
void LCD_putnum(char data_in,unsigned char);;
void LCD_putnum_left(char data_in,unsigned char);;
void LCD_putunsigned(char data);
void LCD_bargraph(unsigned char);
unsigned char LCD_log(unsigned char);

//#endif

#endif
