/**
  ******************************************************************************
  * @file    LCD_driver.c
  * @author  Jakub Lanik
  * @version V1.0.0
  * @date    18.5.2012
  * @brief   Input_capture
  ******************************************************************************
  * @attention
  *
  *
  * <h2><center>&copy; COPYRIGHT </center></h2>
  ******************************************************************************  
  */


#include "LCD_driver.h"
#include "LCD_ctrl.h"


// send command to LCD
void LCD_wr_cmd (unsigned char cmd)
{
	LCD_CLR(LCD_RS);
        delay(1);
	LCD_SET(LCD_E);
        delay(1);
        LCD_PORT&= 0xFF00;
	LCD_PORT |= (LCD_PORT & 0x0F) | (cmd & 0xF0);
        delay(1);
	LCD_CLR(LCD_E);
        delay(10);
	LCD_SET(LCD_E);
        delay(1);
        LCD_PORT&= 0xFF00;
	LCD_PORT |= (LCD_PORT & 0x0F) | ((cmd << 4) & 0xF0);
        delay(1);
	LCD_CLR(LCD_E);
        delay(2060);
}

// send data to LCD
void LCD_wr_data (unsigned char data)
{
	LCD_SET(LCD_E);
        delay(1);
        // zpozdeni(11);
	LCD_SET(LCD_RS);
        delay(1);
        LCD_PORT&= 0xFF00;
	LCD_PORT |= (LCD_PORT & 0x0F) | (data & 0xF0);
        delay(1);
	LCD_CLR(LCD_E);
        delay(10);
	LCD_SET(LCD_E);
        delay(1);
        LCD_PORT&= 0xFF00;
	LCD_PORT |= (LCD_PORT & 0x0F) | ((data << 4) & 0xF0);
        delay(1);
	LCD_CLR(LCD_E);
        delay(2060);
}


void delay (int time)
{
unsigned char us = 17;
  while (time)
  {
  time--;
  us = 17;
    while (us)
      {
      us--;
      }
  }
}



