/**
  ******************************************************************************
  * @file    LCD_driver.h
  * @author  Jakub Lanik
  * @version V1.0.0
  * @date    18.5.2012
  * @brief   Input_capture
  ******************************************************************************
  * @attention
  *
  *
  * <h2><center>&copy; COPYRIGHT </center></h2>
  ******************************************************************************  
  */

#ifndef LCD_DRIVER_SET
#define LCD_DRIVER_SET

#include <stm32f4xx.h>
#include "stm32f4_discovery.h"


// LCD port defitions
#define LCD_PORT 		GPIOE->ODR
//#define LCD_DDR			DDRC

// LCD signals definitions
#define LCD_RS 	GPIO_Pin_9
#define LCD_E	GPIO_Pin_11        
#define LCD_RW	GPIO_Pin_10

// LCD control macros
#define LCD_SET(LCD_BIT) LCD_PORT |= (LCD_BIT)
#define LCD_CLR(LCD_BIT) LCD_PORT &= ~(LCD_BIT)

// LCD basic commands
#define LCD_clear()		(LCD_wr_cmd(1))
#define LCD_blink_ON()	(LCD_wr_cmd(0b00001111))
#define LCD_blink_OFF()	(LCD_wr_cmd(0b00001110))

#define LCD_home() 	LCD_PORT = (LCD_PORT &0x0F) | 0x20; //cursor home
void LCD_wr_cmd (unsigned char);
void LCD_wr_data (unsigned char data);
void delay (int time);

#endif