/**
  ******************************************************************************
  * @file    SPI_MEMS.h
  * @author  Lukas Michalik
  * @version V1.0.0
  * @date    17.5.2012
  * @brief   Input_capture
  ******************************************************************************
  * @attention
  *
  *
  * <h2><center>&copy; COPYRIGHT </center></h2>
  ******************************************************************************
  */
#ifndef SPI_7953_H_
#define SPI_7953_H_

/**
  * @brief  ADE7953 SPI Interface pins
  */
#define ADE7953_SPI                       SPI1
#define ADE7953_SPI_CLK                   RCC_APB2Periph_SPI1

#define ADE7953_SPI_SCK_PIN               GPIO_Pin_5                  /* PA.05 */
#define ADE7953_SPI_SCK_GPIO_PORT         GPIOA                       /* GPIOA */
#define ADE7953_SPI_SCK_GPIO_CLK          RCC_AHB1Periph_GPIOA
#define ADE7953_SPI_SCK_SOURCE            GPIO_PinSource5
#define ADE7953_SPI_SCK_AF                GPIO_AF_SPI1

#define ADE7953_SPI_MISO_PIN              GPIO_Pin_6                  /* PA.6 */
#define ADE7953_SPI_MISO_GPIO_PORT        GPIOA                       /* GPIOA */
#define ADE7953_SPI_MISO_GPIO_CLK         RCC_AHB1Periph_GPIOA
#define ADE7953_SPI_MISO_SOURCE           GPIO_PinSource6
#define ADE7953_SPI_MISO_AF               GPIO_AF_SPI1

#define ADE7953_SPI_MOSI_PIN              GPIO_Pin_7                  /* PA.7 */
#define ADE7953_SPI_MOSI_GPIO_PORT        GPIOA                       /* GPIOA */
#define ADE7953_SPI_MOSI_GPIO_CLK         RCC_AHB1Periph_GPIOA
#define ADE7953_SPI_MOSI_SOURCE           GPIO_PinSource7
#define ADE7953_SPI_MOSI_AF               GPIO_AF_SPI1

#define ADE7953_SPI_CS_PIN                GPIO_Pin_13                  /* PE.13 */ /*7953*/
#define ADE7953_SPI_CS_GPIO_PORT          GPIOD                       /* GPIOD */
#define ADE7953_SPI_CS_GPIO_CLK           RCC_AHB1Periph_GPIOD

/**
*definice čipselektu akcelerometru který je na testovacím kitu discovery
*/
#define LIS302DL_SPI_CS_PIN                GPIO_Pin_3                  /* PE.03 *//* mems*/
#define LIS302DL_SPI_CS_GPIO_PORT          GPIOE                       /* GPIOE */
#define LIS302DL_SPI_CS_GPIO_CLK           RCC_AHB1Periph_GPIOE

#define ADE7953_SPI_INT1_PIN              GPIO_Pin_0                  /* PE.00 */
#define ADE7953_SPI_INT1_GPIO_PORT        GPIOE                       /* GPIOE */
#define ADE7953_SPI_INT1_GPIO_CLK         RCC_AHB1Periph_GPIOE
#define ADE7953_SPI_INT1_EXTI_LINE        EXTI_Line0
#define ADE7953_SPI_INT1_EXTI_PORT_SOURCE EXTI_PortSourceGPIOE
#define ADE7953_SPI_INT1_EXTI_PIN_SOURCE  EXTI_PinSource0
#define ADE7953_SPI_INT1_EXTI_IRQn        EXTI0_IRQn

#define ADE7953_SPI_INT2_PIN              GPIO_Pin_1                  /* PE.01 */
#define ADE7953_SPI_INT2_GPIO_PORT        GPIOE                       /* GPIOE */
#define ADE7953_SPI_INT2_GPIO_CLK         RCC_AHB1Periph_GPIOE
#define ADE7953_SPI_INT2_EXTI_LINE        EXTI_Line1
#define ADE7953_SPI_INT2_EXTI_PORT_SOURCE EXTI_PortSourceGPIOE
#define ADE7953_SPI_INT2_EXTI_PIN_SOURCE  EXTI_PinSource1
#define ADE7953_SPI_INT2_EXTI_IRQn        EXTI1_IRQn

 void SPI_7953_Init(void);

#endif /* SPI_7953_H_ */
