/**
  ******************************************************************************
  * @file    main.c 
  * @author  Lukas Michalik
  * @version V1.0.0
  * @date    18.5.2012
  * @brief   Input_capture
  ******************************************************************************
  * @attention
  *
  *
  * <h2><center>&copy; COPYRIGHT </center></h2>
  ******************************************************************************  
  */ 

/**
*global headers
  */

#include "stm32f4xx.h"
#include <stdio.h>
#include <stdlib.h>
#include  <string.h>


/**
*locale headers
  */

#include "LCD_driver.h"
#include "LCD_ctrl.h"
#include "IC_driver.h"
#include "DELAY.h"
#include "SPI_7953.h"
#include "7953_driver.h"

/**
*global variables
  */

unsigned char counter;
uint32_t capture;

/**
*přerušení od IC timer 8 - externí přerušení od obvoudu 
*ADE7755
  */
void TIM8_CC_IRQHandler (void)
{
counter=TIM_GetCounter(TIM8);
capture=TIM_GetCapture4(TIM8);

//TIM_ClearFlag (TIM8, TIM_FLAG_CC4);
//TIM_ClearFlag(TIM8, TIM_FLAG_Break);
//TIM_ClearFlag(TIM8, TIM_FLAG_Update);
}



int main(void) {

        uint16_t ctrl = 0xFFFF;
        char buffer [33];
/**
*inicializace displeje
  */

	delay(2);
	LCD_init();
	LCD_xy(6,0);
	LCD_puts("Test");
	LCD_xy(0,1);

/**
*inicializace Input capture
  */

	IC_GPIO_init();
	IC_TIMER_init();
	IC_CCI_init();

  /**
*inicializace SPI
  */     
        SPI_7953_Init();
        Delay(3000);

  while (1) {

/**
*vypisovní dat na displej
  */
    LCD_xy(0,0);
    itoa (counter,buffer,10);
    LCD_puts(buffer);

    LCD_xy(0,1);
    itoa (capture,buffer,10);
    LCD_puts(buffer);

    
    LCD_xy(13,1);
    itoa ((int)ctrl,buffer,10);
    LCD_puts(buffer);

    LCD_xy(13,0);
    itoa ((int)ctrl,buffer,10);
    LCD_puts(buffer);
 

/**
*čtení dat z obvodu ADE7953
*registr 0x207 informace o sérii
  */
   uint16_t ctrl = 0x0000;
   Read_7953(&ctrl, 0x207, 1);


  }
}

#ifdef  USE_FULL_ASSERT
#define USE_FULL_ASSERT
/**
  * @brief  Reports the name of the source file and the source line number
  *         where the assert_param error has occurred.
  * @param  file: pointer to the source file name
  * @param  line: assert_param error line source number
  * @retval None
  */
void assert_failed(uint8_t* file, uint32_t line)
{
  /* User can add his own implementation to report the file name and line number,
     ex: printf("Wrong parameters value: file %s on line %d\r\n", file, line) */

  while (1)
  {}
}
#endif